<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: uninstall.musicbox.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ Fork of booklist by Yann Bouan
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @ Copyright (C) 2005 Jan Schulz-Hofen
* @ All rights reserved
* @ This component is derived from the com_booklist component by Yann Bouan which is derived from the mambo com_weblinks component
**/


defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


function deleteDir($dir){
    if (substr($dir, strlen($dir)-1, 1)!= '/')
        $dir .= '/';
    //echo $dir;
    if ($handle = opendir($dir))
    {
        while ($obj = readdir($handle))
        {
            if ($obj!= '.' && $obj!= '..')
            {
                if (is_dir($dir.$obj))
                {
                    if (!deleteDir($dir.$obj))
                        return false;
                }
                elseif (is_file($dir.$obj))
                {
                    if (!unlink($dir.$obj))
                        return false;
                }
            }
        }
        closedir($handle);
        if (!@rmdir($dir))
            return false;
        return true;
    }
    return false;
}

function com_uninstall(){
  global $database, $mosConfig_absolute_path;
  
    deleteDir($mosConfig_absolute_path . "/administrator/components/com_musicboxcom");	
    deleteDir($mosConfig_absolute_path . "/components/com_musicboxcom"); 
    unlink($mosConfig_absolute_path . "/mambots/mbox/mbox_plugin.php");
    unlink($mosConfig_absolute_path . "/mambots/mbox/mbox_plugin.xml");
    unlink($mosConfig_absolute_path . "/mambots/mbox/mbox_comment_bot.php");
    unlink($mosConfig_absolute_path . "/mambots/mbox/mbox_comment_bot.xml");
    unlink($mosConfig_absolute_path . "/mambots/system/musicbox_sys_bot.php");
    unlink($mosConfig_absolute_path . "/mambots/system/musicbox_sys_bot.xml");
    unlink($mosConfig_absolute_path . "/mambots/system/mbox_system.php");
    unlink($mosConfig_absolute_path . "/mambots/system/mbox_system.xml");	
    deleteDir($mosConfig_absolute_path . "/mambots/mbox/mbox_plugin");	
    deleteDir($mosConfig_absolute_path . "/mambots/mbox/pcajaxcomment");
    deleteDir($mosConfig_absolute_path . "/mambots/system/mbox_includes");	
    deleteDir($mosConfig_absolute_path . "/mambots/mbox");
    $database->setQuery("DELETE FROM #__mambots WHERE name='Mbox Plugin'");
    $database->query();
    $database->setQuery("DELETE FROM #__mambots WHERE name='Mbox Comment'");
    $database->query();
    $database->setQuery("DELETE FROM #__mambots WHERE name='Mbox Comment Sys'");
    $database->query();
    $database->setQuery("DELETE FROM #__mambots WHERE name='Mbox System Mambot For Joomla'");
    $database->query();	
	
}

?>