<?php
/**
* Joomla MusicBox  2.0.0
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: musicbox.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
global $mosConfig_lang, $mboxConfig, $header;
require_once($mainframe->getCfg('absolute_path')."/administrator/components/".$option."/config.musicbox.php");
if (file_exists( "administrator/components/com_musicbox/language/{$mosConfig_lang}.php" )) {
		include_once( "administrator/components/com_musicbox/language/{$mosConfig_lang}.php" );
			} else {
		include_once( "administrator/components/com_musicbox/language/english.php" );
}
		require_once( $mainframe->getPath( 'front_html' ) );
		require_once( $mainframe->getPath( 'class' ) );

		$task = trim( mosGetParam( $_REQUEST, 'task', "" ) );
		$id = intval( mosGetParam( $_REQUEST, 'id', 0 ) );
		$catid = intval( mosGetParam( $_REQUEST, 'catid', 0 ) );
		$letter = trim( mosGetParam( $_REQUEST, 'letter', '' ) );		

switch ($task) {

	case "view":
    showItem( $id );
    break;

	case "search":
    $phrase = trim( mosGetParam( $_REQUEST, 'phrase', '' ) );
  	$mode = intval( mosGetParam( $_REQUEST, 'mode', 0 ) );
  	$rows=searchAlbum( $phrase, $mode );
  	$categories=array();
  	$catid=$currentcat=0; 
	$header .= '
		<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 
		</style>';
		$mainframe->addCustomHeadTag($header);		
	?>

<table width="100%" cellpadding="0" cellspacing="0" border="0"  class="">
  <tr>
    <td valign="top"><div id="genere">
        <div class="menu">
          <?php
			echo "<a href='".sefRelToAbs("index.php?option=com_musicbox&amp;Itemid=$Itemid&amp;task=viewCat")."'>". _MBOX_GENERE ."</a>";
			?>
        </div>
		</div>
		<div id="cerca">		
			<div align="right">
				<form action="index.php">
            <span style="vertical-align:center;">
            <input type="text" name="phrase" />
            <input type="submit" value="<?php echo _MBOX_SEARCH;?>" />
            </span><br />
            <input type="radio" name="mode" value="0" checked="checked" />
            <?php echo _MBOX_ONLY_TITLE;?>
            <input type="radio" name="mode" value="1" />
            <?php echo _MBOX_TITLE_AND_HTML;?>
						<input type="hidden" name="option" value="com_musicbox" />
						<input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
						<input type="hidden" name="task" value="search" />
				</form>
			</div>
      </div></td>
  </tr>
</table>
<?php	
  	HTML_MusicBox::displaylistraw( $rows,1);
	echo "</table>";
    break;
	
	default: 
	if ($mboxConfig['firstpage']){	
	listSinger( );
	}else{
	listAlbum( $catid );
	}	
	break;

	case "viewCat":
	listAlbum( $catid );
	break;	

	case "viewSinger": 
	listSinger( );
	break;	
	
	case "viewSingeralpha": 
	listSingeralpha( $option, $letter, $database, $Itemid );
	break;		
	
	case "viewAuth": 
	showAuth( $id, $catid, $Itemid, $gid, $access ); 
	break;

	case "viewHit": 
	listHit( $id );
	break;	
	
	case "viewHit2": 
	listHit2( $id );
	break;	
	
	case "viewGallery": 
	listGallery( $id );
	break;	

	case "viewLyric": 
	listLyric( $id );
	break;

	case "viewsongLyric": 
	songLyric( $id );
	break;	
	
	case "viewLabel": 
	viewLabel( $id );
	break;	
	
}

# FUNZIONE PRENDI TUTTI GLI ELEMENTI 
function getAllChildren($catid) {
	global $database,$my;
	$list=null;
	$sql="SELECT * FROM #__categories"
	. "\nWHERE published='1' AND section='com_musicbox' AND access <= '$my->gid'"
	. "\n AND parent_id=$catid";
	$database->setQuery($sql);	
	$categories = $database->loadObjectList();
	if (sizeof($categories)>0) {
	foreach ($categories as $k => $v)  {
	  $list.=$catid.",";
	  $list.=getAllChildren($v->id).",";
	}
	} else {
	$list.=$catid.",";

	}
	return $list;
}

# FUNZIONE CONTA ALBUM
function countAlbum($l) {
	global $database,$my, $now;
	$now 		= _CURRENT_SERVER_TIME;
	$nullDate = $database->getNullDate();		
	$l=str_replace(array(",,,,",",,,",",,"),",",$l);
	$l=substr($l,0,-1);
	
	$sql="SELECT count(id) as num FROM #__musicboxalbum"
	. "\nWHERE published='1'  AND catid IN ($l)"
	. "\n AND ( publish_up = " . $database->Quote( $nullDate ) . " OR publish_up <= " . $database->Quote( $now ) . " )"
	. "\n AND ( publish_down = " . $database->Quote( $nullDate ) . " OR publish_down >= " . $database->Quote( $now ) . " )"		
	. "\n AND access <= '$my->gid'"
	;	
	$database->setQuery($sql);	
	$num = $database->loadObjectList();
	return $num[0]->num;
}

# FUNZIONE LISTA ALBUM
function listAlbum( $catid ) {
	global $database, $mainframe, $my, $mosConfig_shownoauth, $Itemid, $currentcat, $catid, $now , $params, $selected;

	$now 			= _CURRENT_SERVER_TIME;
	$nullDate 		= $database->getNullDate();			

	$selected 		= strval( mosGetParam( $_REQUEST, 'order', '' ) );
	$selected		= preg_replace( '/[^a-z]/i', '', $selected );

	$id				= intval( mosGetParam( $_REQUEST, 'id', 0 ) );
	$limit 			= intval( mosGetParam( $_REQUEST, 'limit', 10 ) );
	$limitstart 	= intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );	

	
	$query = "SELECT COUNT(id) as numitems"
	. "\n FROM #__musicboxalbum"
	. "\n WHERE catid = " . (int) $catid
	. "\n AND access <= '$my->gid'"	
	. "\n AND published='1'"		
	;
	$database->setQuery( $query );
	$total = $database->loadResult();	
	
	require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );		
	
	$lists['order_value'] = '';
	$orderby = $selected;
	$lists['order_value'] 	= $selected;
	$orderby = _orderby_sec2 ( $orderby );


	$database->setQuery( "SELECT *, COUNT(a.id) AS numlinks, cc.description AS catdesc FROM #__categories AS cc"
	. "\nLEFT JOIN #__musicboxalbum AS a ON a.catid = cc.id"
	. "\nWHERE a.published='1' AND section='com_musicbox' AND cc.published='1' AND cc.access <= '$my->gid' AND a.access <= '$my->gid'"
	. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
	. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"	
	. "\nGROUP BY cc.id"
	. "\nORDER BY cc.ordering"
	);

	$database->setQuery( "SELECT *, id AS catid,  cc.description AS catdesc FROM #__categories AS cc"
	. "\n WHERE cc.parent_id= '$catid' AND section='com_musicbox' AND cc.published='1' AND cc.access <= '$my->gid' GROUP BY cc.id ORDER BY cc.ordering");

	$categories = $database->loadObjectList();
	echo $database->getErrorMsg();
	foreach ($categories as $k=>$v) {
	  $l=getAllChildren($v->catid);
      $categories[$k]->numlinks=countAlbum($l);
	}

	$rows = array();

	if ($catid) {
		$database->setQuery( "SELECT * FROM #__musicboxalbum"
		. "\nWHERE catid = '$catid' AND published='1'"
		. "\n AND ( publish_up = " . $database->Quote( $nullDate ) . " OR publish_up <= " . $database->Quote( $now ) . " )"
		. "\n AND ( publish_down = " . $database->Quote( $nullDate ) . " OR publish_down >= " . $database->Quote( $now ) . " )"		
		. "\n AND access <= '$my->gid'"
		. "\nORDER BY $orderby"
		. "\n LIMIT ".$pageNav->limitstart.", ".$pageNav->limit		
		);
		$rows = $database->loadObjectList();
		}
		$database->setQuery( "SELECT name, description, image, image_position,title FROM #__categories"
		. "\nWHERE id = '$catid' AND published='1'"
		);
		$currentcat=null;
		$database->loadObject($currentcat);	
		global $mainframe, $currentcat;
		$mainframe->AppendPathway($currentcat->name);


		$order[] = mosHTML::makeOption( 'alpha', _ORDER_DROPDOWN_TA );
		$order[] = mosHTML::makeOption( 'ralpha', _ORDER_DROPDOWN_TD );
		$order[] = mosHTML::makeOption( 'anno', _ORDER_DROPDOWN_YA );
		$order[] = mosHTML::makeOption( 'ranno', _ORDER_DROPDOWN_YD );
		$order[] = mosHTML::makeOption( 'date', _ORDER_DROPDOWN_DA );
		$order[] = mosHTML::makeOption( 'rdate', _ORDER_DROPDOWN_DD );		

		$order[] = mosHTML::makeOption( 'order', _ORDER_DROPDOWN_O );
		$lists['order'] = mosHTML::selectList( $order, 'order', 'class="inputbox" size="1"  onchange="document.adminForm.submit();"', 'value', 'text', $selected );
	
	HTML_MusicBox::displaylist( $categories, $rows, $catid, $currentcat, $pageNav, $lists, $selected, true);
}

# FUNZIONE LISTA CANTANTI
function listSinger( ) {
	global $database, $mainframe, $my, $params, $mosConfig_shownoauth, $Itemid;

	
	// Inizializzo i diversi parametri
	$order 			= strval( mosGetParam( $_REQUEST, 'order', 'ASC' ) );
	$filter 		= stripslashes( strval( mosGetParam( $_REQUEST, 'filter', '' ) ) );	

	$id				= intval( mosGetParam( $_REQUEST, 'id', 0 ) );
	$limit 			= intval( mosGetParam( $_REQUEST, 'limit', 10 ) );
	$limitstart 	= intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );	
	
	$where = array();

	if ($filter) {
		// CASE SENSITIVE -> $where[] = "name LIKE '%$filter%'";
		$where[] = "LOWER(name) LIKE '%".strtolower($filter)."%'";
	}	
	
	// query per determinare il numero dei records
	$query = "SELECT COUNT(id) as numitems"
	. "\n FROM #__musicboxsinger"
	. (count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "")
	;
	$database->setQuery( $query );
	$total = $database->loadResult();	
	
	// Creo la paginazione utilizzando total limitstart e limit	
	require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );
	
	// Utilizzando tutti i filtri creo la query che mi rileva tutti i dati
	$query = "SELECT * FROM #__musicboxsinger"
	. (count( $where ) ? "\n WHERE " . implode( ' AND ', $where ) : "")
	. "\n ORDER BY name ".$order
	. "\n LIMIT ".$pageNav->limitstart.", ".$pageNav->limit
	;
	$database->setQuery( $query );
	//echo $database->getQuery(  );
	$rows = $database->loadObjectList();

	// Creo l'array lists che mi serve per tracciare i parametri
	$order_arr[] = mosHTML::makeOption( 'ASC', 'A-Z' );
	$order_arr[] = mosHTML::makeOption( 'DESC', 'Z-A' );
	$lists['order'] = mosHTML::selectList( $order_arr, 'order', 'class="inputbox" size="1" onchange="document.adminForm.submit();"', 'value', 'text', $order );	
	$lists['order_value'] = $order;
	$lists['task'] = 'viewSinger';
	$lists['filter'] = $filter;	

	HTML_MusicBox::displaysinger ( $params, $rows, $id, $pageNav, $lists);
}


# FUNZIONE LISTA CANTANTI ALPHA
function listSingeralpha( $option, $letter, $database, $Itemid) {
	global $database, $mainframe, $my, $params, $mosConfig_shownoauth, $Itemid;

	
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ));	

	$limit = trim( mosGetParam( $_REQUEST, 'limit', 10 ) );
	$limitstart = trim( mosGetParam( $_REQUEST, 'limitstart', 0 ) );
	
	$where = '';
	
	if($letter!='0-9' && $letter!=_ADRESS_BOOK_ALL && $letter!=''){
		$where = " WHERE name LIKE '$letter%'";
	}
	if($letter=='0-9'){
		$where = " WHERE name REGEXP '^[0-9]'";
	}
	// get the total number of records
	$database->setQuery( "SELECT COUNT(*) FROM #__musicboxsinger $where" );
	$total = $database->loadResult();	
	
	if ($total <= $limit) {
		$limitstart = 0;
	}

	// get the subset (based on limits) of required records
	$database->setQuery( "SELECT * FROM #__musicboxsinger"
		. "\n$where"
		. "\nORDER BY name ASC"
		. "\nLIMIT $limitstart, $limit"
		) ;
		
	$rows = $database->loadObjectList();
	
	require_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );



	$lists['task'] = 'viewSingeralpha';


	HTML_MusicBox::displaysingeralpha ( $params, $rows, $id, $pageNav, $letter, $lists);
}

# FUNZIONE MOSTRA SCHEDA ALBUM/SINGOLO
function showItem ( $id ) {
	global $database, $mainframe, $gid, $catid, $curItem, $now, $mboxConfig, $header;
	$now 		= _CURRENT_SERVER_TIME;
	$nullDate = $database->getNullDate();	

	$album = new mosAlbum( $database );
	$album->load( (int)$id );

	/*
	Check if category is published
	*/
	if(!$album->published) {
		mosNotAuth();
		return;
	}	
	
	/*
	* check whether category access level allows access
	*/
	if( $album->access > $gid ) {
		mosNotAuth();
		return;
	}	
	
	$sql="UPDATE #__musicboxalbum SET hits=hits+1 WHERE id=$id";
	$database->setQuery( $sql );
	$database->query();	

	
	$header .= '
	<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 		
	</style>';

	
	$sql="SELECT * FROM #__musicboxalbum "
	. "\n WHERE id=$id"
	. "\n AND ( publish_up = " . $database->Quote( $nullDate ) . " OR publish_up <= " . $database->Quote( $now ) . " )"
	. "\n AND ( publish_down = " . $database->Quote( $nullDate ) . " OR publish_down >= " . $database->Quote( $now ) . " )"		
	;
	$database->setQuery($sql);
	$database->query();
	$curItem=null;
	$database->loadObject($curItem);
	$catid=$curItem->catid;
	$mainframe->AppendPathway($curItem->title);	
	if($catid){
	$database->setQuery( "SELECT name, description, image, image_position FROM #__categories"
		. "\nWHERE id = '$catid' AND published='1'"
		);
		$currentcat=null;
		$database->loadObject($currentcat);
	}

    $database->setQuery( "SELECT a.*"
	. "\nFROM #__musicboxsinger AS a"
    . "\nLEFT JOIN #__musicbox AS ba ON ba.idauth = a.id"
    . "\nWHERE ba.idalbum=$curItem->id"
    . "\nORDER BY a.name"	);
	$authorList = $database->loadObjectList();	
	
	
	HTML_MusicBox::showItem($curItem, $currentcat, $catid, $authorList);
}

# FUNZIONE MOSTRA AUTORE
function showauth($id, $gid, &$access) {
	global $database, $my, $mainframe;	
	
	// Inizializzo i diversi parametri
	$id				= intval( mosGetParam( $_REQUEST, 'id', 0 ) );
	$limit 			= intval( mosGetParam( $_REQUEST, 'limit', 10 ) );
	$limitstart 	= intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );	
	$nullDate = $database->getNullDate();	
	$where = array();
	$noauth = !$mainframe->getCfg( 'shownoauth' );
	
	// query per determinare il numero dei records
	$query = "SELECT COUNT(a.id) as numitems"
	. "\n FROM #__musicboxalbum AS a"
    . "\n LEFT JOIN #__musicbox AS ba ON ba.idalbum = a.id"
	. "\n WHERE ba.idauth = " . (int) $id
	. "\n AND a.access <= $my->gid"
	. "\n AND a.published='1'"	
	;	
	
	$database->setQuery( $query );
	$total = $database->loadResult();	
	
	// Creo la paginazione utilizzando total limitstart e limit	
	require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );

	// Creo l'array lists che mi serve per tracciare i parametri
	$lists['task'] = 'viewAuth';
	
	$sql="SELECT * FROM #__musicboxsinger WHERE id=$id";
	$database->setQuery($sql);
	$database->query();
	$database->loadObject($curItem);
	HTML_MusicBox::showAuth($curItem, $params, $rows, $id, $pageNav, $lists);  
}

# FUNZIONE PATH WAY	
function categoryParentLI($catid, $action, $var)
    {
	global $database,$GLOBALS,$cur_template, $Itemid;
	$url=sefRelToAbs($action);
	$img="";
	$path=$img."";	  
	while ($catid!=0) {
	  	$sql="SELECT * FROM #__categories WHERE id=$catid "; 
		$database->setQuery($sql);	
		$database->loadObject($curItem);
		$url=$action."&$var=".$catid;
		$catid=$curItem->parent_id;
		$path.=$img."<a class=\"titoloPath\" href=\"$url&amp;task=viewCat&amp;Itemid=$Itemid\">".$curItem->title."</a>&nbsp&nbsp;|&nbsp;&nbsp;";	  
	}
	return $path;
    }

# FUNZIONE PATH WAY NEI CONTENUTI	
function categoryParentLO($catid, $action, $var)
    {
	global $database,$GLOBALS,$cur_template, $Itemid;
	$url=sefRelToAbs($action);
	$img="&nbsp;&nbsp;";
	$path="<b>"._MBOX_CATEGORY.":</b>";	  
	while ($catid!=0) {
	  	$sql="SELECT * FROM #__categories WHERE id=$catid "; 
		$database->setQuery($sql);	
		$database->loadObject($curItem);
		$url=$action."&amp;$var=".$catid;
		$catid=$curItem->parent_id;
		$path.=$img."<a  class=\"titoloPath\" href=\"$url&amp;task=viewCat&amp;Itemid=$Itemid\">".$curItem->title."</a>";	  
	}
	return $path;
    }	
	
# FUNZIONE RICERCA	
function searchAlbum ( $phrase='', $mode=0 ) {
	  global $database,$my, $now;

	$now 		= _CURRENT_SERVER_TIME;
	$nullDate = $database->getNullDate();	  
		if ($phrase == '') {
			return array();}
		
		$where=($mode==0)?"LOWER(a.title) LIKE LOWER('%$phrase%')":"LOWER(a.title) LIKE LOWER('%$phrase%') OR LOWER(a.html) LIKE LOWER('%$phrase%')";
	
	$sql="SELECT a.*"
	. "\n FROM #__musicboxalbum AS a"
	. "\n INNER JOIN #__categories AS b ON b.id = a.catid"
	. "\n WHERE ($where)"
	. "\n AND a.published = 1"
	. "\n AND b.published = 1"
	. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
	. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"		
	. "\n AND b.access <= $my->gid"
	. "\n AND a.access <= $my->gid"	
	. "\n ORDER BY a.title";
	
		$database->setQuery( $sql);
		return $database->loadObjectList();
	}

# FUNZIONE LISTA HIT
function listHit( $id ) {
	global $mainframe, $database, $my, $mosConfig_shownoauth, $start, $header, $Itemid, $now;
	$now 		= _CURRENT_SERVER_TIME;
	$nullDate = $database->getNullDate();
	
	include_once($mainframe->getCfg('absolute_path')."/mambots/mbox/mbox_plugin/mbox.php");	
	//query per ricavare le top list
	$query="SELECT a.*, a.nomehit as titleHit"
	. "\nFROM #__musicboxhit AS a"
	. "\nLEFT JOIN #__musicboxsonghit AS bb ON bb.hitid = a.id"
	. "\nWHERE a.published='1'"
	. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
	. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"		
	. "\nGROUP BY a.id"	
	. "\nORDER BY a.nomehit ASC";	
	$database->setQuery($query);
	$row = $database->loadObjectList();	
	$mainframe->setPageTitle( sprintf( _MBOX_TOPHITS , strtoupper($start)) ); 

		$header .= '
	<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 		
	</style>';

		$mainframe->addCustomHeadTag($header);		
	
	
	HTML_MusicBox::displayhit ( $row );
}

# FUNZIONE LISTA HIT
function listHit2 ($id) {
	global $mainframe, $database, $my, $mosConfig_shownoauth, $start, $header, $Itemid;
	//query per ricavare le canzoni associate alle top list
	$query="SELECT a.*, bb.nomehit AS titleHit"
	. "\nFROM #__musicboxsonghit AS a"
	. "\nLEFT JOIN #__musicboxhit AS bb ON a.hitid = bb.id"
	. "\nWHERE bb.id=$id"
	. "\nORDER BY a.ordering ASC";	
	$database->setQuery($query);
	$database -> loadObject($currItem);
	$rows = $database->loadObjectList();
	
		$header .= '
	<script type="text/javascript" src="'.$mainframe->getCfg('live_site').'/components/com_musicbox/js/mootools.js"></script>
	<script type="text/javascript" src="'.$mainframe->getCfg('live_site').'/mambots/mbox/mbox_plugin/slimbox.js"></script>
	<script type="text/javascript">var MediaboxPath = "'.$mainframe->getCfg('live_site').'/components/com_musicbox/js/";</script>
    <script type="text/javascript" src="'.$mainframe->getCfg('live_site').'/components/com_musicbox/js/mediabox.js"></script>	
	<script type="text/javascript" src="'.$mainframe->getCfg('live_site').'/components/com_musicbox/js/swfobject.js"></script>	  
	<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/mambots/mbox/mbox_plugin/mbox.css"; 
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/mediabox.css";
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 		
		
	</style>';
		$mainframe->addCustomHeadTag($header);	
	
	
	HTML_MusicBox::displayhitsong ( $rows, $id, $currItem );
}

# FUNZIONE Vedi Gallery
function listGallery( $id ) {
	global $mainframe, $database, $my, $header, $Itemid;
#		$header .= '
#	<style type="text/css" media="all">
#		<link href="src="'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css" rel="stylesheet" type="text/css" /> 		
#	</style>';

		$mainframe->addCustomHeadTag($header);		

		$sql="SELECT * FROM #__musicboxsinger WHERE id=$id";
		$database->setQuery($sql);
		$database->query();
		$database->loadObject($currItem);	
	
	HTML_MusicBox::displaygallery ( $row, $currItem, $id );
}

# FUNZIONE Vedi testi
function listLyric( $id ) {
	global $mainframe, $database, $my, $mboxConfig, $header, $Itemid;

	$id				= intval( mosGetParam( $_REQUEST, 'id', 0 ) );
	$limit 			= intval( mosGetParam( $_REQUEST, 'limit', 10 ) );
	$limitstart 	= intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );	

	if ($mboxConfig['lyricacco']) { 	
		$header .= '
	<script type="text/javascript" src="'.$mainframe->getCfg('live_site').'/components/com_musicbox/js/mootools.js"></script>	
	<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 		
	</style>';
	}else{
		$header .= '
	<style type="text/css" media="all">
		@import "'.$mainframe->getCfg('live_site').'/components/com_musicbox/css/style.css"; 		
	</style>';	
	}	

		$mainframe->addCustomHeadTag($header);		
	$where = array();
		
	// query per determinare il numero dei records
	$query = "SELECT COUNT(id) as numitems"
	. "\n FROM #__musicboxlyric"
	. "\nWHERE albumid=$id"	
	;	

	$database->setQuery( $query );
	$total = $database->loadResult();	
	
	// Creo la paginazione utilizzando total limitstart e limit	
	require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );		

		$sql="SELECT * FROM #__musicboxsinger WHERE id=$id";
		$database->setQuery($sql);
		$database->query();
		$database->loadObject($currItem);	
	
	HTML_MusicBox::displaylyric ( $row, $currItem, $id, $pageNav );
}


# FUNZIONE Vedi testi
function songLyric( $id ) {
	global $mainframe, $database, $my, $mboxConfig, $Itemid;

		$sql="SELECT * FROM #__musicboxlyric WHERE id=$id";
		$database->setQuery($sql);
		$database->query();
		$database->loadObject($currItem);	
	
	HTML_MusicBox::displaysonglyric ( $row, $currItem, $id );
}

# FUNZIONE Vedi testi
function viewLabel ( $id ) {
	global $mainframe, $database, $my, $mboxConfig, $Itemid;
	
		$sql="SELECT * FROM #__musicboxfirm WHERE id=$id";
		$database->setQuery($sql);
		$database->query();
		$database->loadObject($currItem);	
	
	HTML_MusicBox::displaylabel ( $row, $currItem, $id );
}

function _orderby_sec2 ( $orderby ) {
	switch ( $orderby ) {

		case 'alpha':
			$orderby = 'title';
			break;

		case 'ralpha':
			$orderby = 'title DESC';
			break;

		case 'anno':
			$orderby = 'anno';
			break;

		case 'ranno':
			$orderby = 'anno DESC';
			break;

		case 'date':
			$orderby = 'created';
			break;

		case 'rdate':
			$orderby = 'created DESC';
			break;	

		case 'ordering':
			$orderby = 'ordering';
			break;				
			
		default:
			$orderby = 'title';
			break;
	}

	return $orderby;
}
?>