<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @Pack musicboxcom
* @Based on
* @package JomComment free edition
* @copyright (C) 2006 by Azrul Rahim - All rights reserved!
* @www.azrul.com
* @NOTE: This features of Musicbox don't support and allow content items comment system but
* @only support musicbox item contents
* @If you need full contents comment system buy a copy of this fantastic component
**/

defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');
global $mainframe, $mosConfig_absolute_path, $task, $_JC_CONFIG;

	if (file_exists( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/{$mosConfig_lang}.php" )) {
			include_once( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/{$mosConfig_lang}.php" );
		} else {
			include_once( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/english.php" );
		}

require_once ($mainframe->getCfg('absolute_path'). "/administrator/components/com_musicboxcom/class.musicboxcom.php");
require_once ($mainframe->getCfg('absolute_path'). "/administrator/components/com_musicboxcom/admin.musicboxcom.html.php");
require_once ($mainframe->getCfg('absolute_path'). "/components/com_musicboxcom/musicboxcom.php");
include_once ($mainframe->getCfg('absolute_path'). "/mambots/system/mbox_includes/ajax.php");
include_once ($mainframe->getCfg('absolute_path'). "/mambots/system/mbox_includes/template.php");
$cid = mosGetParam($_REQUEST, 'cid', 0);
$task = mosGetParam($_POST, 'task', '');

if (empty ($task))
	$task = mosGetParam($_GET, 'task', 'comments');

switch ($task) {
	case 'xajax' :
		break;
	case "save" :
		saveComment($option);
		break;
	case "maintd" :
		ob_start();
		showAjaxedAdmin();
		$panel = ob_get_contents();
		ob_end_clean();
		ob_start();
		showMaintd();
		$content = ob_get_contents();
		ob_end_clean();
		$content = str_replace("{CONTENT}", $content, $panel);
		echo $content;
		break;
	case "remove" :
		removeComments($cid, $option);
		break;
	case "publish" :
		publishComments($cid, 1, $option);
		break;
	case "unpublish" :
		publishComments($cid, 0, $option);
		break;
	case "config" :
		ob_start();
		showAjaxedAdmin();
		$panel = ob_get_contents();
		ob_end_clean();
		ob_start();
		showConfig($option);
		$content = ob_get_contents();
		ob_end_clean();
		$content = str_replace("{CONTENT}", $content, $panel);
		echo $content;
		break;
	case "savesettings" :
		saveConfig($option);
		break;
	case "comments" :
	default :
		ob_start();
		showAjaxedAdmin();
		$panel = ob_get_contents();
		ob_end_clean();
		ob_start();
		showComments($option);
		$content = ob_get_contents();
		ob_end_clean();
		$content = str_replace("{CONTENT}", $content, $panel);
		echo $content;
		break;
}

function modifyText(& $item, $key) {
	$item->comment = transformDbText($item->comment);
}

function jcxTogglePublish($id) {
	global $database;
	while (@ ob_end_clean());
	ob_start();
	$database->setQuery("SELECT published FROM #__mbox_comment WHERE id=$id");
	$publish = $database->loadResult();
	$publish = intval(!($publish));
	$database->setQuery("UPDATE #__mbox_comment SET published='$publish' WHERE id=$id");
	$database->query();
	$objResponse = new JAXResponse();
	if ($publish) {
		$objResponse->addAssign('pubImg' . $id, 'src', 'images/publish_g.png');
		$d['id'] = $id;
	} else {
		$objResponse->addAssign('pubImg' . $id, 'src', 'images/publish_x.png');
		$d['id'] = $id;
	}
	return $objResponse->sendResponse();
}

function jcConvertTitleToUtf8(& $str) {
	if (function_exists('mb_convert_encoding')) {
		$iso = explode('=', _ISO);
		$source = mb_convert_encoding($str->text, "UTF-8", "$iso[1], auto");
		$str->text = $source;
	} else
		$str->text = transformDbText($str->text);
}
function jcxEditComment($commentid) {
	global $database, $_JC_CONFIG;
	while (@ ob_end_clean());
	ob_start();
	$obj = null;
	$database->setQuery("SELECT * FROM #__mbox_comment WHERE id=$commentid LIMIT 1");
	$comment = $database->loadAssocList();
	$publish = mosHTML :: yesnoRadioList('published', ' ', intval($comment[0]['published']));
$comment[0]['comment'] = str_replace("<br />", '\n', stripslashes($comment[0]['comment']));
$comment[0]['comment'] = str_replace("<br/>", '\n', stripslashes($comment[0]['comment']));
$comment[0]['comment'] = str_replace("</br>", '\n', stripslashes($comment[0]['comment']));
$text = str_replace("{published}", $publish, $text);
$text = str_replace("{contentList}", $clist, $text);
$text = str_replace("{date}", stripslashes($comment[0]['date']), $text);
$text = str_replace("{name}", stripslashes($comment[0]['name']), $text);
$text = str_replace("{comment}", stripslashes($comment[0]['comment']), $text);
$text = str_replace("{title}", stripslashes($comment[0]['title']), $text);
$text = str_replace("{email}", $comment[0]['email'], $text);
$text = str_replace("{website}", $comment[0]['website'], $text);
$text = str_replace("{id}", $comment[0]['id'], $text);
$tpl = & new JXTemplate();
foreach ($comment[0] as $key => $val) {
	$tpl->set($key, $val);
}
$database->setQuery("SELECT title FROM #__musicboxalbum WHERE id='" . $comment[0]['contentid'] . "'");
$tpl->set('content_title', $database->loadResult());
$tpl->set('contentList', $clist);
$tpl->set('publish', $publish);
$html = $tpl->fetch(JC_ADMIN_COM_PATH . 'templates/edit_comment.tpl.html');
$objResponse = new JAXResponse();
$objResponse->addScriptCall("showFloatingDialog", $html);
return $objResponse->sendResponse();
}
function jcxSaveComment($xajaxArgs) {
	global $database;
	while (@ ob_end_clean());
	ob_start();
	$row = new mosJomcomment($database);
	$commentid = $xajaxArgs['id'];
	$row->bind($xajaxArgs);
	$row->store();
	$row->updateOrder("contentid='$row->contentid'");
	$newrow = new mosJomcomment($database);
	$newrow->load($commentid);
	$nlSearch = array (
		"\n",
		"\r"
	);
	$nlReplace = array (
		" ",
		" "
	);
	$newrow->comment = str_replace($nlSearch, $nlReplace, $newrow->comment);
	$newrow->comment = transformDbText($row->comment);
	if (strlen($newrow->comment) > 300) {
		$newrow->comment = stripslashes(substr($newrow->comment, 0, 300 - 3));
		$newrow->comment .= "...";
	}
	$newrow->comment = strip_tags($newrow->comment);
	$con = new mosContent($database);
	$con->load($newrow->contentid);
	$objResponse = new JAXResponse();
	$objResponse->addScriptCall("$('popupWindowContainer').setStyle", 'visibility', 'hidden');
	$objResponse->addAssign("comment-" . $commentid, 'innerHTML', $newrow->comment);
	$objResponse->addAssign("date-" . $commentid, 'innerHTML', $newrow->date);
	global $mosConfig_cachepath;
	$file_list = mosReadDirectory($mosConfig_cachepath, "");
	foreach ($file_list as $val) {
		if (strstr($val, "cache_")) {
			@ unlink($mosConfig_cachepath . "/" . $val);
		}
	}
	return $objResponse->sendResponse();
}
function jcxBanUserName($name) {
	global $_JC_CONFIG;
	$_JC_CONFIG->addBlockedUser($name);
	$objResponse = new JAXResponse();
	$objResponse->addScriptCall("alert", "$name blocked");
	return $objResponse->sendResponse();
}
function jcxBanUserIP($ip) {
	global $_JC_CONFIG;
	$_JC_CONFIG->addBlockedIP($ip);
	$objResponse = new JAXResponse();
	$objResponse->addScriptCall("alert", "$ip IP blocked");
	return $objResponse->sendResponse();
}

function post($host, $query, $others = '') {

	if(function_exists('curl_init')){
		$ch = curl_init();
		curl_setopt ($ch, CURLOPT_URL, "http://" .$host . "?". $query);
		curl_setopt ($ch, CURLOPT_HEADER, 0);
		ob_start();
		curl_exec ($ch);
		curl_close ($ch);
		$string = ob_get_contents();
		ob_end_clean();
		return $string;
	}
	
	if(ini_get('allow_url_fopen') == 1){
		
		$dh = fopen("http://". $host . "?". $query,'r');
		$result = fread($dh,8192);                                                                                                                   
		return $result;
	}

	/////////////////////////
	$path = explode('/', $host);
	$host = $path[0];
	$r = "";
	unset ($path[0]);
	$path = '/' . (implode('/', $path));
	$post = "POST $path HTTP/1.0\r\nHost: $host\r\nContent-type: application/x-www-form-urlencoded\r\n${others}User-Agent: Mozilla 4.0\r\nContent-length: " . strlen($query) . "\r\nConnection: close\r\n\r\n$query";
	$h = fsockopen($host, 80, $errno, $errstr, 7);
	if ($h) {
		fwrite($h, $post);
		for ($a = 0, $r = ''; !$a;) {
			$b = fread($h, 8192);
			$r .= $b;
			$a = (($b == '') ? 1 : 0);
		}
		fclose($h);
	}
	return $r;
}

/**
 * Show the comment listing page
 */ 
function showComments($option) {
	global $database, $mainframe, $mosConfig_live_site;

	$database->setQuery("SELECT distinct `option` FROM #__mbox_comment");
    $results = $database->loadObjectList();
    $default_com = 'com_musicbox';
	if(count($results) == 1){
    	$default_com = $results[0]->option;
	}
	
	$limitOption = mosGetParam($_GET, 'limitOption', $default_com);
	
	
	$limit = $mainframe->getUserStateFromRequest("viewlistlimit", 'limit', 10);
	$limitstart = $mainframe->getUserStateFromRequest("view{$option}limitstart", 'limitstart', 0);
	$search = $mainframe->getUserStateFromRequest("search{$option}", 'search', '');
	$search = $database->getEscaped(trim(strtolower($search)));
	
	$searchContent = $mainframe->getUserStateFromRequest("searchContent{$option}", 'searchContent', '');
	$searchContent = $database->getEscaped(trim(strtolower($searchContent)));
 	

	$where = array ();
	
	// Seach for comment with the given string
	if ($search) {
		$where[] = "LOWER(comment) LIKE '%$search%'";
	}
	
	$where[] = "`option`='$limitOption' ";
	

	$database->setQuery("SELECT count(*) FROM #__mbox_comment AS a" . (count($where) ? "\nWHERE " . implode(' AND ', $where) : ""));
	$total = $database->loadResult();
	include_once ("includes/pageNavigation.php");
	$pageNav = new mosPageNav($total, $limitstart, $limit);

	$database->setQuery("SELECT * FROM #__mbox_comment" . (count($where) ? "\nWHERE " . implode(' AND ', $where) : "") . "\nORDER BY id DESC" . "\nLIMIT $pageNav->limitstart,$pageNav->limit");
	$rows = $database->loadObjectList();
	array_walk($rows, 'modifyText');
	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}
	HTML_comment :: showComments($option, $rows, $search, $pageNav);
}


function publishComments($cid = null, $publish = 1, $option) {
	global $database;
	if (!is_array($cid) || count($cid) < 1) {
		$action = $publish ? 'publish' : 'unpublish';
		echo "<script> alert('Select an item to $action'); window.history.go(-1);</script>\n";
		exit;
	}
	$cids = implode(',', $cid);
	$database->setQuery("UPDATE #__mbox_comment SET published='$publish' WHERE id IN ($cids)");
	if (!$database->query()) {
		echo "<script> alert('" . $database->getErrorMsg() . "'); window.history.go(-1); </script>\n";
		exit ();
	}
	
	# Clear the cache, otherwise it won't show after refresh
	global $mosConfig_cachepath;		
	$file_list = mosReadDirectory($mosConfig_cachepath, "");
	foreach ($file_list as $val) {
		if (strstr($val, "cache_")){
			@unlink($mosConfig_cachepath . "/" . $val);
		}
	}
	
	mosRedirect("index2.php?option=$option&task=comments");
}


function showConfig($option) {
	global $mosConfig_absolute_path, $database, $mainframe, $mosConfig_live_site, $_JC_CONFIG;
	$file_list = mosReadDirectory($mosConfig_absolute_path . "/components/com_musicboxcom/templates", "");
	$t_list = array ();
	$filecount = 0;
	foreach ($file_list as $val) {
		if (!strstr($val, "svn") && !strstr($val, "_"))
			$t_list[] = mosHTML :: makeOption($val, $val);
	}
	$templates = mosHTML :: selectList($t_list, 'template', 'class="inputbox" size="1"', 'value', 'text', $_JC_CONFIG->get('template'));
	$file_list = mosReadDirectory($mosConfig_absolute_path . "/components/com_musicboxcom/languages", ".php");
	$l_list = array ();
	$filecount = 0;
	foreach ($file_list as $val) {
		if (!strstr($val, "svn"))
			$l_list[] = mosHTML :: makeOption($val, substr($val, 0, -4));
	}
	$languages = mosHTML :: selectList($l_list, 'language', 'class="inputbox" size="1"', 'value', 'text', $_JC_CONFIG->get('language'));
	$query = "SELECT id,title FROM #__sections ORDER BY title ASC";
	$database->setQuery($query);
	$rows = $database->loadObjectList();
	$sections = "<select name=\"sections[]\" size=\"" . count($rows) . "\" multiple>";
	$pc_section_array = explode(",", $_JC_CONFIG->get('sections'));
	;
	foreach ($rows as $row) {
		$sections .= "<option value='$row->id' ";
		if (in_array($row->id, $pc_section_array))
			$sections .= "selected";
		$sections .= ">$row->title</option>";
	}
	$sections .= "</select>";
	$lookup_array = explode(",", $_JC_CONFIG->get('categories'));
	;
	$lookup = array ();
	for ($i = 0; $i < count($lookup_array); $i++) {
		$lookup[$i] = new stdClass();
		$lookup[$i]->value = $lookup_array[$i];
	}
	$categories = array ();
	$query = "SELECT c.id AS `value`, c.section AS `id`, CONCAT_WS( ' / ', s.title, c.title) AS `text`" . "\n FROM #__sections AS s" . "\n INNER JOIN #__categories AS c ON c.section = s.id" . "\n WHERE s.scope = 'content'" . "\n ORDER BY s.name,c.name";
	$database->setQuery($query);
	$categories = array_merge($categories, $database->loadObjectList());
	$category_list = mosHTML :: selectList($categories, 'categories[]', 'class="inputbox" size="10" multiple="multiple"', 'value', 'text', $lookup);
	$name_list = array ();
	$name_list[] = mosHTML :: makeOption('name', "Real name");
	$name_list[] = mosHTML :: makeOption('username', "Username");
	$name_field = mosHTML :: selectList($name_list, 'username', 'class="inputbox" size="1"', 'value', 'text', $_JC_CONFIG->get('username'));
	include ($mosConfig_absolute_path . "/administrator/components/com_musicboxcom/templates/config_template.php");
}

function saveConfig($option) {
	global $mosConfig_absolute_path, $database, $mosConfig_live_site, $mosConfig_cachepath, $option, $_JC_CONFIG;
	require_once ($mosConfig_absolute_path . "/administrator/components/com_musicboxcom/config.musicboxcom.php");
	$_JC_CONFIG->save();
	$file_list = mosReadDirectory($mosConfig_cachepath, "");
	foreach ($file_list as $val) {
		if (strstr($val, "cache_")) {
			@ unlink($mosConfig_cachepath . "/" . $val);
		}
	}
	
	// Need to rebuild the config cache
	unset($_JC_CONFIG);
	$_JC_CONFIG = new JCConfig();
	$_JC_CONFIG->rebuildCache();
	
	mosCache :: cleanCache();
	mosRedirect("index2.php?option=$option&task=config", "Settings saved");
	return;
}



function removeComments($cid, $option) {
	global $database;
	if (count($cid)) {
		$cids = implode(',', $cid);
		$database->setQuery("DELETE FROM #__mbox_comment WHERE id IN ($cids)");
		if (!$database->query()) {
			echo "<script> alert('" . $database->getErrorMsg() . "'); window.history.go(-1); </script>\n";
		}
	}
	mosRedirect("index2.php?option=$option&task=comments");
}

function showAjaxedAdmin() {
	global $database, $mainframe, $option, $mosConfig_absolute_path, $mosConfig_live_site;
	$xajax = new JAX($mosConfig_live_site . "/mambots/system/mbox_includes");
	if (defined('_JEXEC'))
		$xajax->setReqURI("index.php?option=com_musicboxcom&no_html=1&hidemainmenu=1");
	else
		$xajax->setReqURI("index2.php?option=com_musicboxcom&no_html=1&hidemainmenu=1");
	$xajax->process();
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$mosConfig_live_site/components/com_musicboxcom/admin_style.css\" />";
?>

<script src="<?php echo $mosConfig_live_site; ?>/includes/js/tabs/tabpane_mini.js" type="text/javascript"></script>
<?php echo $xajax->getScript(); ?>
<script type="text/javascript">
jax.loadingFunction = function(){jax.$('loadingDiv').style.display='block';};
jax.doneLoadingFunction = function(){jax.$('loadingDiv').style.display='none';};
</script>
<style type="text/css">

</style>
<table width="100%"  border="0" cellspacing="4" cellpadding="6">
  <tr>
    <td width="10%" valign="top" align="center">
<?php showSidePanel() ?>

</td>
    <td width="90%" align="left" valign="top"><?php /*showInstallError(); */?><div id="mainAdminContent">{CONTENT}</td-->
</tr>
</table>
<?php } function getAdminMenuIcon($com){ global $database, $mosConfig_live_site; $database->setQuery("SELECT admin_menu_img from #__components WHERE 
		menuid=0 AND 
		`parent`=0  AND 
		`option`='$com'"); 
		
		$icon = $database->loadResult();
if ($icon == "js/ThemeOffice/component.png")
	$icon = $mosConfig_live_site . "/includes/js/ThemeOffice/component.png";
return $icon;
}

//////////////// PANNELLO DI CONTROLLO
function showSidePanel() {
	global $mainframe, $mosConfig_live_site, $mosConfig_absolute_path;
?>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/administrator/components/com_musicboxcom/js/mootools.release.83.js"></script>
<div class="loading" id="loadingDiv" style="display:none;position: fixed;top: 0;z-index: 100;">
<img src="<?php echo $mosConfig_live_site;?>/components/com_musicboxcom/busy.gif" width="16" height="16" align="absmiddle">&nbsp;Loading...
</div>
<link rel="StyleSheet" href="components/com_musicbox/includes/css/dtree.css" type="text/css" />
<script type="text/javascript" src="components/com_musicbox/includes/dtree.js"></script>

<table width="100%" cellspacing='1' cellpadding="4" >
<tr><td valign='top' align="left" width="155" >

<img src="components/com_musicbox/images/logo.png" width="155"><p></p>

        <div class="dtree">

        <a href="javascript: d.openAll();"><?php echo _MBOX_HEADEROPENALL ;?></a> | <a href="javascript: d.closeAll();"><?php echo _MBOX_HEADERCLOSEALL ;?></a><br />
<br />
<script type="text/javascript">
<!--

d = new dTree('d');

d.add(0,-1,'&nbsp;<b><?php echo _MBOX_HEADERMAINMENU ;?></b>','index2.php?option=com_musicbox&section=musicbox','','','','');

d.add(800,0,'<?php echo _MBOX_HEADERMBOX ;?>','','','','components/com_musicbox/images/small/musicfolder.gif','components/com_musicbox/images/small/musicfolder.gif');
d.add(801,800,'<?php echo _MBOX_HEADERMBOXCAT ;?>','index2.php?option=com_musicbox&section=categories','','','','');
d.add(802,800,'<?php echo _MBOX_HEADERMBOXSING ;?>','index2.php?option=com_musicbox&section=auth','','','','');
d.add(803,800,'<?php echo _MBOX_HEADERMBOXFIRM ;?>','index2.php?option=com_musicbox&section=editor','','','','');
d.add(804,800,'<?php echo _MBOX_HEADERMBOXALBUM ;?>','index2.php?option=com_musicbox&section=album','','','','');
d.add(805,800,'<?php echo _MBOX_HEADERMBOXCANZONI ;?>','index2.php?option=com_musicbox&section=canzone','','','','');
d.add(806,800,'<?php echo _MBOX_HEADERMBOXTESTI ;?>','index2.php?option=com_musicbox&section=lyric','','','','');

d.add(820,0,'<?php echo _MBOX_HEADERCOM ;?>','','','','components/com_musicbox/images/small/archive.gif','components/com_musicbox/images/small/archive.gif');
d.add(821,820,'<?php echo _MBOX_HEADERCOM2 ;?>','index2.php?option=com_musicboxcom&task=comments','','','','');
d.add(822,820,'<?php echo _MBOX_HEADERCONFCOM ;?>','index2.php?option=com_musicboxcom&task=config','','','','');

d.add(830,0,'<?php echo _MBOX_HEADERLINKITEM ;?>','','','','components/com_musicbox/images/small/folderopen.gif','components/com_musicbox/images/small/folderopen.gif');
d.add(831,830,'<?php echo _MBOX_HEADERLINKITEMTXT ;?>','index2.php?option=com_musicbox&section=scheda&task=showlink','','','','');
d.add(832,830,'<?php echo _MBOX_HEADERLINKITEMTXT2 ;?>','index2.php?option=com_content&sectionid=0','','','','');

d.add(840,0,'<?php echo _MBOX_HEADERUPL ;?>','','','','components/com_musicbox/images/small/square.gif','components/com_musicbox/images/small/square.gif');
d.add(841,840,'<?php echo _MBOX_HEADERUPLMP3 ;?>','index2.php?option=com_musicbox&task=audio','','','','');
d.add(842,840,'<?php echo _MBOX_HEADERUPLFLV ;?>','index2.php?option=com_musicbox&task=video','','','','');
/*d.add(843,840,'<?php echo _MBOX_HEADERUPLIMG ;?>','index2.php?option=com_media&listdir=/stories/musicbox','','','','','');*/

d.add(850,0,'<?php echo _MBOX_TOPHITS ;?>','','','','components/com_musicbox/images/small/archive.gif','components/com_musicbox/images/small/archive.gif');
d.add(851,850,'<?php echo _MBOX_ADM_CHARTS ;?>','index2.php?option=com_musicbox&section=hit','','','','');
d.add(852,850,'<?php echo _MBOX_ADM_CHARTSSONG ;?>','index2.php?option=com_musicbox&section=songhit','','','','');

d.add(860,0,'<?php echo _MBOX_HEADERMBOXSET ;?>','index2.php?option=com_musicbox&task=settings','','','components/com_musicbox/images/small/config.png','components/com_musicbox/images/small/config.png');
d.add(870,0,'<?php echo _MBOX_ADM_INFORMAZIONI ;?>','index2.php?option=com_musicbox&section=info','','','components/com_musicbox/images/small/sysinfo.png','components/com_musicbox/images/small/sysinfo.png');

document.write(d);

//-->
</script> </td>
</td><td valign='top'>
<style type="text/css">
.adminheading th{
    color:#0E40A2;
    }
a{
    color:#0E40A2;
    }
</style>
<?php } 
