<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @Pack musicboxcom
* @Based on
* @package JomComment free edition
* @copyright (C) 2006 by Azrul Rahim - All rights reserved!
* @www.azrul.com
* @NOTE: This features of Musicbox don't support and allow content items comment system but
* @only support musicbox item contents
* @If you need full contents comment system buy a copy of this fantastic component
**/

(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');
global $mosConfig_absolute_path, $mosConfig_live_site, $_JCPROFILER, $_JOMCOMMENT, $_JC_CONFIG;
include_once ($mosConfig_absolute_path . '/components/com_musicboxcom/main.musicboxcom.php');
include_once ($mosConfig_absolute_path . "/includes/patTemplate/patErrorManager.php");
include_once ($mosConfig_absolute_path . "/includes/patTemplate/patTemplate.php");


$task = mosGetParam($_GET, 'task', " ");
$controller = new JCController();

if(method_exists($controller, $task))
	$controller->$task();

class JCController{

	function trackback(){
		global $_JOMCOMMENT;
		$_JOMCOMMENT->trackbackPing();
	}
	
	function diagnose(){
		//jcSendDiagnosticData();
	}
	
	function jomadmin(){
		global $_JOMCOMMENT;
		$_JOMCOMMENT->processAdminTask();
	}
	
	function rss(){
		$contentid = mosGetParam($_REQUEST, 'contentid', 0);
		global $_JOMCOMMENT;
		$_JOMCOMMENT->rss($contentid);
		exit;
	}
	
	function img(){
		global $_JOMCOMMENT;
		$_JOMCOMMENT->img();
	}
	
	function azrul_ajax(){
		// Do nothing, since it ajax system will handle it
	}
}



function jcxLoadUserInfo($name, $email, $website) {
	global $_JOMCOMMENT;
	if ($name == "null")
		$name = "";
	if ($email == "null")
		$email = "";
	if ($website == "null")
		$website = "";
	return $_JOMCOMMENT->ajaxLoadUserInfo($name, $email, $website);
}
function jcxAddComment($xajaxArgs) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->ajaxAddComment($xajaxArgs);
}
function jcxUpdateComment($cid, $com, $num) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->jcxUpdateComment($cid, $com, $num);
}
function jcxUnpublish($uid, $com) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->jcxUnpublish($uid, $com);
}
function jcxEdit($uid) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->jcxEdit($uid);
}
function jcxSave($xajaxArgs, $saveit) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->jcxSave($xajaxArgs, $saveit);
}
function jcxReport($id, $com) {
	global $_JOMCOMMENT;
	return $_JOMCOMMENT->jcxReport($id, $com);
}
